Skip to main content
POST
Add a room to the session's basket

Headers

X-AVP-Impersonation
string

Path Parameters

sessionId
string
required

Body

The room identifier and the quantity required.

Describes the update basket room request model.

roomId
integer<int32>
required

The room to add in the basket, as provided by the search/rooms endpoint.

rateId
string
default:""
required

The rate to add in the basket, as provided by the search/rooms endpoint.

Pattern: ^(\d{8};\d{8};\d+)(#(\d{8};\d{8};\d+))*$
occupancyId
integer<int32>
required

The occupancy to add in the basket, as provided by the search/rooms endpoint.

quantity
integer<int32>
required

The quantity to add in the basket. Must not exceed the available quantity provided by the search/rooms endpoint.

guestPosition
integer<int32>
required

The guest position in the Session.Context.Guests list the selected room will be occupied by.

beddingConfigurationId
string<uuid>

Gets or sets the bedding configuration id.

Example:

"00000000-0000-0000-0000-000000000000"

Response

The basket has been updated correctly